Subject: Re: bug#66040: 30.0.50; The XF86AudioLowerVolume on keyboard cannot be detected correctly

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Oct 2023 12:21:55 +0300

> Cc: "Wang, Zhenhua \(MU-Student\)" <[email-masked]>,
>  [email-masked]
> Date: Sun, 01 Oct 2023 17:11:03 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Stefan Kangas <[email-masked]> writes:
> 
> > Note also what Eli said:
> >
> >> If it isn't possible to have an Android-specific binding, I think we
> >> should make the Android-specific binding in android-win.el or
> >> somesuch, and leave the default as it is appropriate for laptops and
> >> desktop systems.
> 
> Such a binding is not apposite for the Android port, given that its quit
> keysym is set in stone (for there is no melange of incompatible display
> servers each supplying their own keysym definitions for volume keys).

I was not worried about Android, I was worried about the other systems
and configurations.

In general, key bindings specific to some window-system are defined on
the respective *-win.el files.